package com.bizmatics.service;

import com.bizmatics.model.Device;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.service.vo.DeviceCountVO;

import java.util.Date;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface DeviceService extends CrudService<Device> {

    /**
     * 查询不同状态设备数量
     * @return
     */
    DeviceCountVO selectDeviceCount(Date startTime, Date endTime);


    /**
     * 查询不同类型的设备数量
     * @param site
     * @return
     */
    DeviceCountVO selectDeviceCountByType(Integer site);
}
