package com.bizmatics.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/7/7 15:35
 */
@Data
public class SiteVO {



    /**
     * 站点表ID
     */
    private Integer id;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 站点位置
     */
    private String siteAddress;

    /**
     * 所属单位
     */
    private Integer companyCode;

    /**
     * 联系人
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 所属台区
     */
    private Integer stationAreaId;

    /**
     * 所属线路
     */
    private Integer routeId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 所属区域（1 宝山，2 嘉定）
     */
    private Integer region;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


    /**
     * 设备数量
     */
    private Integer deviceCount;

    /**
     * 告警数
     */
    private Integer alarmPowerCount;

    /**
     * 站点状态
     */
    private String status;

    private List<String> deviceType;
}
