package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.Facility;
import com.bizmatics.service.vo.FacilityCountVO;

import java.util.List;

/**
 * @author yq
 * @date 2021/7/12 9:01
 */
public interface FacilityService extends CrudService<Facility> {


    /**
     * 查询不同设备的数量
     * @param siteId
     * @return
     */
    List<FacilityCountVO> getCount(Integer siteId);

}
