package com.bizmatics.service.vo;

import com.bizmatics.service.config.CustomerDoubleSerialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

/**
 * @author yq
 * @date 2021/7/9 16:48
 */
@Data
public class TimeShareVO {

    /**
     * 尖
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double need = 0.00;
    /**
     * 峰
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double peak = 0.00;
    /**
     * 谷
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double grain = 0.00;
    /**
     * 平
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double flat = 0.00;
}
